Create recurring payment instruction

This API generates an unique URL for opening the RPI confirmation screen.

The API returns a 201 HTTP response code in case of a successful response.

The API returns a 400 HTTP response code in case of a bad request (for example, missing and/or wrong headers).

The API returns a 401 HTTP response code in case of a missing or invalid token.

The API returns a 412 HTTP response code in case of a validation error (for example, missing and/or wrong parameters).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length between 32 and 32

Transaction id. 32 alphanumeric characters. It should be unique per request.

string
required
length between 9 and 13

Customer phone number. It should start with the Indonesian country code '62' and be followed by, at least 9, numeric characters (and a maximum of 13 numeric characters).

integer
required
0 to 1

Type of subscription. Possible Values are 0 - 'fixed' and 1 - 'variable'

integer
required

Maximum bill amount can be charged for an each RPI instruction. Mandatory for variable type RPI. Minimum bill amount is 10000.00. Not Mandatory for fixed type RPI.

integer
required

The amount of the transaction. The minimum transaction amount is Rp 10000

Mandatory for fixed type RPI, not mandatory for variable type if startDate it's not today, and amount should not exceed 'maxBillAmount'

string
required
length between 3 and 3

Currency for the transaction (3-letter currency ISO code).

schedule
object
required

Schedule configuration

string
required
length between 11 and 11

Date on which the first payment has to be charged. The format is DD-MM-YYYY.

productDetails
array of objects
required
length ≥ 1

An array of products with the product name and code.

productDetails*
string
required
length between 1 and 50

Product name.

string
required
length between 1 and 20

Product code.

string
required
length between 1 and 1

Enable notifications to know when payment happen. Possible values are 'Y' - Enable Notification, 'N' - Disable Notification

notificationConfig
array of objects
length ≥ 1
notificationConfig
string
length between 3 and 3

Optional parameter. Provide the bank code to skip the bank list screen and directly open the 'Terms and Conditions' page for the respective bank.

additionalInfo
array of objects
length ≥ 1

An array of additionalInfo with the key, value and display.

additionalInfo
Headers
string
required
length between 16 and 16

Content type accepted by the service. Only 'application/json' is supported.

string
required
length between 16 and 16

Content type returned to the client. Only 'application/json' is supported.

string
required
length between 35 and 35

Authorization header. Only 'bearer' authentication is supported.

string
required
length between 32 and 32

DEPRECATED: Unique identifier (32 alphanumeric characters) to identify the complete flow. It must be unique per flow and can't be reused in subsequent flows.

A flow is a set of API calls, for example, all the calls related to payment are part of one flow.

Merchants can link API calls into one flow using this header.

string
required
length between 32 and 32

Unique identifier (32 alphanumeric characters) to identify the complete flow. It must be unique per flow and can't be reused in subsequent flows.

A flow is a set of API calls, for example, all the calls related to payment are part of one flow.

Merchants can link API calls into one flow using this header.

NOTE: The 'A-Correlation-ID' header is being deprecated so, this new header is replacing it. For some time, both headers can be used but in October 2024, the 'A-Correlation-ID' header will be finally removed from the API.

string
required
length between 6 and 6

Unique identifier (6 alphanumeric characters) to identify the particular merchant. It must be unique per merchant.

string
required
length between 1 and 20

Identifier the particular channel.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json